import { IconBase, createHvIcon } from "./IconBase.js";
import { HvIconSprite } from "./IconSprite.js";
import { HvIconContainer } from "./IconContainer.js";
import * as icons from "./icons.js";
import { Abacus, ActualSize, Add, AddAlt, AddManually, AddNote, AerialTramway, Agents, Alert, Analyze, AppSwitcher, AppleLogoFilled, Archive, ArchiveDropUp, ArchiveNew, ArchiveProtected, ArchiveShared, ArchiveTeam, Archives, ArchivesAlt, AssetManagement, Asterisk, Attachment, AucRocCurve, AuxiliaryPower, Backpack, Backwards, BackwardsEmpty, BackwardsSelected, Ban, BarChart, Battery, Bicycle, Binoculars, BlastholeDrill, Blocked, Bluetooth, Boat, Bold, Bookmark, BookmarkSelected, Bottom, BottomXS, Branch, BubbleChart, Building, Bus, Calendar, Canceled, Car, Cards, Cart, Cash, Caution, Center, Champion, Change, Chat, ChatAI, Check, Checkbox, CheckboxCheck, CheckboxPartial, Close, CloseAll, CloseXS, Cloud, Cluster, ClusterAlt, Code, Collection, ColorPicker, Column, Completed, CompletedStep, Components, ConfusionMatrix, Connect, Connection, Contactless, Container, Contains, Contract, Controls, Cookie, Copy, Cpu, CreditCard, Cube, CurrentStep, CustomerSupport, CyberSecurity, Cyclone, DaemonSet, DataFlow, DataObject, DataQuality, DataSet, DataSource, DataStore, DatabaseView, Debug, DefaultCursor, Delete, Deploy, DeployAlt, Desktop, Disconnect, Disk, Dislike, DislikeSelected, Doc, DocCSV, DocExcel, DocWord, DocZip, DonutChart, Down, DownEmpty, DownSelected, Download, Dozer, Drag, Dragline, Draw, DropDown, DropDownXS, DropLeft, DropLeftXS, DropRight, DropRightXS, DropUp, DropUpXS, Duplicate, Dust, Edit, EditNote, EditUser, ElectricVehicle, Email, End, Energy, Enter, Equal, EthernetPlug, Event, Excavator, Experiment, Fail, FastBackwards, FastForwards, Favorite, FavoriteSelected, Female, FerryBoat, Filters, Fine, Fire, FitToScreen, Flag, FlagSelected, Focus, FoggyDay, FoggyNight, FolderAlt, Folders, FoldersAlt, FontSize, FontSizeBigger, FontSizeSmaller, Forwards, ForwardsEmpty, ForwardsSelected, Frost, Fullscreen, Function, GameController, Ghost, GiftVoucher, Grader, Great, Group, Gyroscope, HardDisk, Hash, HaulTruck, HazyDay, HazyNight, Heart, HeartSelected, Heatmap, HeavyShowerDay, HeavyShowerNight, Helicopter, Help, Hold, Home, Host, Hotspot, HourGlass, Identification, ImportFile, InProgress, Incomplete, Info, Inject, Install, Instructor, Italic, Job, Justify, KeyboardDown, KeyboardDownXS, KeyboardUp, KeyboardUpXS, Layers, Leaf, LeftAlign, LeftPanel, Level0Good, Level0MarkerA, Level0MarkerB, Level0MarkerC, Level0MarkerD, Level1, Level1Alt, Level1Marker, Level2Alt, Level2Average, Level3Bad, Level3MarkerA, Level3MarkerB, Level3MarkerC, Level3MarkerD, Level4, Level4Alt, Level4MarkerA, Level4MarkerB, Level4MarkerC, Level4MarkerD, Level4MarkerE, Level5, Level5Alt, Level5MarkerA, Level5MarkerB, Level5MarkerC, Level5MarkerD, Level5MarkerE, LightOff, LightOn, LightRain, LightShowerDay, LightShowerNight, Like, LikeSelected, LineChart, LineChartAlt, Link, List, Live, Load, Loader, LocationCursor, LocationPin, LocationTarget, Lock, LogActivity, LogIn, LogOut, Luggage, Machine, MachineAlt, MachineLearning, Magnet, Magnifier, Male, Map, MarginsOff, MarginsOn, MarkerA, MarkerB, MarkerC, MarkerD, MarkerE, Memory, Menu, Microphone, Mobile, MobileRotation, Monorail, Moon, MoreOptionsHorizontal, MoreOptionsVertical, MostlySunny, Move, MoveFile, MultiDevices, MultipleFolder, Namespace, New, Next, NoData, Node, Offline, Okay, Online, Open, OpenBook, OpenDoor, Operation, OtherStep, PaintBucket, Palette, PaperBoat, ParcelDelivery, Part, PartlyCloudy, Paste, Pause, Pending, People, Percentage, Phone, PhotoCam, Picture, PieChart, Pin, PinSelected, PingPong, Plane, Plant, Play, PlayVideo, PlayVideoAlt, PlayVideoDetails, PlayVideoScreen, Playback, Pod, Point, Poo, Poor, PopUp, Position, PowerStation, Preview, PreviewOff, Previous, Print, Priority1, Priority2, Priority3, Priority4, Priority5, ProfileDocument, QrCode, Radar, RadioButtonSelected, RadioButtonUnselected, Rain, Receipt, RecordCamOff, RecordCamOn, RecyclingTruck, Redo, Refresh, Rejected, Reload, Remove, RepeatEvent, ReplicaSet, Report, Research, Reset, ResetOff, Reuse, Reviewed, RightAlign, RightPanel, Ruler, Running, Save, SaveAlt, Scale, Schema, Search, Seat, SelectedPage, SelectedPageXS, Service, Settings, Severity1, Severity2, Severity3, Severity4, Severity5, Share, ShowerDay, ShowerNight, Snow, Sort, SortAlphabeticallyAscending, SortAlphabeticallyDescending, SortAlt, SortAltAscending, SortAltDescending, SortAscending, SortAscendingXS, SortDescending, SortDescendingXS, SortXS, Speedometer, Split, Stable, StableXS, Start, Stop, Storage, Strikethrough, Submit, SubmitForm, Success, Sun, SurroundingCameras, SwapNextPrevious, SwapTopBottom, SwipeRight, Switch, SystemActivity, Table, TablePartition, Tag, TagGroup, TagSelected, TaskAlt, Teapot, Temperature, Template, TemplateAlt, Tetris, TextColor, ThemeSwitcher, Ticket, Time, Tool, ToolAlt, Toolset, Top, TopXS, Topics, Touch, Tractor, Train, Transformation, Transformer, Trends, Truck, Underline, Undo, Ungroup, Unlock, UnselectedPageXS, Up, UpEmpty, UpSelected, Upload, Upsell, User, Validated, Versions, VideoSecurity, VirtualFolder, VolumeOff, VolumeOn, Wand, Warehouse, Water, WaterTruck, WhiteBoard, Wind, WindowsLogoFilled, WorldGlobe, WorldGlobeAlt, ZoomIn, ZoomOut } from "./icons.js";
import * as pictograms from "./pictograms.js";
import { FemaleRunning, FemaleRunningHat, FemaleRunningLowerClothes, FemaleRunningLowerClothesHat, FemaleRunningUpperClothes, FemaleRunningUpperClothesHat, FemaleStanding, FemaleStandingHat, FemaleStandingLowerClothes, FemaleStandingLowerClothesHat, FemaleStandingUpperClothes, FemaleStandingUpperClothesHat, FemaleWalking, FemaleWalkingHat, FemaleWalkingLowerClothes, FemaleWalkingLowerClothesHat, FemaleWalkingUpperClothes, FemaleWalkingUpperClothesHat, MaleAccessibility, MaleRunning, MaleRunningHat, MaleRunningLowerClothes, MaleRunningLowerClothesHat, MaleRunningUpperClothes, MaleRunningUpperClothesHat, MaleStanding, MaleStandingHat, MaleStandingLowerClothes, MaleStandingLowerClothesHat, MaleStandingUpperClothes, MaleStandingUpperClothesHat, MaleWalking, MaleWalkingHat, MaleWalkingLowerClothes, MaleWalkingLowerClothesHat, MaleWalkingUpperClothes, MaleWalkingUpperClothesHat } from "./pictograms.js";
export {
  Abacus,
  ActualSize,
  Add,
  AddAlt,
  AddManually,
  AddNote,
  AerialTramway,
  Agents,
  Alert,
  Analyze,
  AppSwitcher,
  AppleLogoFilled,
  Archive,
  ArchiveDropUp,
  ArchiveNew,
  ArchiveProtected,
  ArchiveShared,
  ArchiveTeam,
  Archives,
  ArchivesAlt,
  AssetManagement,
  Asterisk,
  Attachment,
  AucRocCurve,
  AuxiliaryPower,
  Backpack,
  Backwards,
  BackwardsEmpty,
  BackwardsSelected,
  Ban,
  BarChart,
  Battery,
  Bicycle,
  Binoculars,
  BlastholeDrill,
  Blocked,
  Bluetooth,
  Boat,
  Bold,
  Bookmark,
  BookmarkSelected,
  Bottom,
  BottomXS,
  Branch,
  BubbleChart,
  Building,
  Bus,
  Calendar,
  Canceled,
  Car,
  Cards,
  Cart,
  Cash,
  Caution,
  Center,
  Champion,
  Change,
  Chat,
  ChatAI,
  Check,
  Checkbox,
  CheckboxCheck,
  CheckboxPartial,
  Close,
  CloseAll,
  CloseXS,
  Cloud,
  Cluster,
  ClusterAlt,
  Code,
  Collection,
  ColorPicker,
  Column,
  Completed,
  CompletedStep,
  Components,
  ConfusionMatrix,
  Connect,
  Connection,
  Contactless,
  Container,
  Contains,
  Contract,
  Controls,
  Cookie,
  Copy,
  Cpu,
  CreditCard,
  Cube,
  CurrentStep,
  CustomerSupport,
  CyberSecurity,
  Cyclone,
  DaemonSet,
  DataFlow,
  DataObject,
  DataQuality,
  DataSet,
  DataSource,
  DataStore,
  DatabaseView,
  Debug,
  DefaultCursor,
  Delete,
  Deploy,
  DeployAlt,
  Desktop,
  Disconnect,
  Disk,
  Dislike,
  DislikeSelected,
  Doc,
  DocCSV,
  DocExcel,
  DocWord,
  DocZip,
  DonutChart,
  Down,
  DownEmpty,
  DownSelected,
  Download,
  Dozer,
  Drag,
  Dragline,
  Draw,
  DropDown,
  DropDownXS,
  DropLeft,
  DropLeftXS,
  DropRight,
  DropRightXS,
  DropUp,
  DropUpXS,
  Duplicate,
  Dust,
  Edit,
  EditNote,
  EditUser,
  ElectricVehicle,
  Email,
  End,
  Energy,
  Enter,
  Equal,
  EthernetPlug,
  Event,
  Excavator,
  Experiment,
  Fail,
  FastBackwards,
  FastForwards,
  Favorite,
  FavoriteSelected,
  Female,
  FemaleRunning,
  FemaleRunningHat,
  FemaleRunningLowerClothes,
  FemaleRunningLowerClothesHat,
  FemaleRunningUpperClothes,
  FemaleRunningUpperClothesHat,
  FemaleStanding,
  FemaleStandingHat,
  FemaleStandingLowerClothes,
  FemaleStandingLowerClothesHat,
  FemaleStandingUpperClothes,
  FemaleStandingUpperClothesHat,
  FemaleWalking,
  FemaleWalkingHat,
  FemaleWalkingLowerClothes,
  FemaleWalkingLowerClothesHat,
  FemaleWalkingUpperClothes,
  FemaleWalkingUpperClothesHat,
  FerryBoat,
  Filters,
  Fine,
  Fire,
  FitToScreen,
  Flag,
  FlagSelected,
  Focus,
  FoggyDay,
  FoggyNight,
  FolderAlt,
  Folders,
  FoldersAlt,
  FontSize,
  FontSizeBigger,
  FontSizeSmaller,
  Forwards,
  ForwardsEmpty,
  ForwardsSelected,
  Frost,
  Fullscreen,
  Function,
  GameController,
  Ghost,
  GiftVoucher,
  Grader,
  Great,
  Group,
  Gyroscope,
  HardDisk,
  Hash,
  HaulTruck,
  HazyDay,
  HazyNight,
  Heart,
  HeartSelected,
  Heatmap,
  HeavyShowerDay,
  HeavyShowerNight,
  Helicopter,
  Help,
  Hold,
  Home,
  Host,
  Hotspot,
  HourGlass,
  HvIconContainer,
  HvIconSprite,
  IconBase,
  Identification,
  ImportFile,
  InProgress,
  Incomplete,
  Info,
  Inject,
  Install,
  Instructor,
  Italic,
  Job,
  Justify,
  KeyboardDown,
  KeyboardDownXS,
  KeyboardUp,
  KeyboardUpXS,
  Layers,
  Leaf,
  LeftAlign,
  LeftPanel,
  Level0Good,
  Level0MarkerA,
  Level0MarkerB,
  Level0MarkerC,
  Level0MarkerD,
  Level1,
  Level1Alt,
  Level1Marker,
  Level2Alt,
  Level2Average,
  Level3Bad,
  Level3MarkerA,
  Level3MarkerB,
  Level3MarkerC,
  Level3MarkerD,
  Level4,
  Level4Alt,
  Level4MarkerA,
  Level4MarkerB,
  Level4MarkerC,
  Level4MarkerD,
  Level4MarkerE,
  Level5,
  Level5Alt,
  Level5MarkerA,
  Level5MarkerB,
  Level5MarkerC,
  Level5MarkerD,
  Level5MarkerE,
  LightOff,
  LightOn,
  LightRain,
  LightShowerDay,
  LightShowerNight,
  Like,
  LikeSelected,
  LineChart,
  LineChartAlt,
  Link,
  List,
  Live,
  Load,
  Loader,
  LocationCursor,
  LocationPin,
  LocationTarget,
  Lock,
  LogActivity,
  LogIn,
  LogOut,
  Luggage,
  Machine,
  MachineAlt,
  MachineLearning,
  Magnet,
  Magnifier,
  Male,
  MaleAccessibility,
  MaleRunning,
  MaleRunningHat,
  MaleRunningLowerClothes,
  MaleRunningLowerClothesHat,
  MaleRunningUpperClothes,
  MaleRunningUpperClothesHat,
  MaleStanding,
  MaleStandingHat,
  MaleStandingLowerClothes,
  MaleStandingLowerClothesHat,
  MaleStandingUpperClothes,
  MaleStandingUpperClothesHat,
  MaleWalking,
  MaleWalkingHat,
  MaleWalkingLowerClothes,
  MaleWalkingLowerClothesHat,
  MaleWalkingUpperClothes,
  MaleWalkingUpperClothesHat,
  Map,
  MarginsOff,
  MarginsOn,
  MarkerA,
  MarkerB,
  MarkerC,
  MarkerD,
  MarkerE,
  Memory,
  Menu,
  Microphone,
  Mobile,
  MobileRotation,
  Monorail,
  Moon,
  MoreOptionsHorizontal,
  MoreOptionsVertical,
  MostlySunny,
  Move,
  MoveFile,
  MultiDevices,
  MultipleFolder,
  Namespace,
  New,
  Next,
  NoData,
  Node,
  Offline,
  Okay,
  Online,
  Open,
  OpenBook,
  OpenDoor,
  Operation,
  OtherStep,
  PaintBucket,
  Palette,
  PaperBoat,
  ParcelDelivery,
  Part,
  PartlyCloudy,
  Paste,
  Pause,
  Pending,
  People,
  Percentage,
  Phone,
  PhotoCam,
  Picture,
  PieChart,
  Pin,
  PinSelected,
  PingPong,
  Plane,
  Plant,
  Play,
  PlayVideo,
  PlayVideoAlt,
  PlayVideoDetails,
  PlayVideoScreen,
  Playback,
  Pod,
  Point,
  Poo,
  Poor,
  PopUp,
  Position,
  PowerStation,
  Preview,
  PreviewOff,
  Previous,
  Print,
  Priority1,
  Priority2,
  Priority3,
  Priority4,
  Priority5,
  ProfileDocument,
  QrCode,
  Radar,
  RadioButtonSelected,
  RadioButtonUnselected,
  Rain,
  Receipt,
  RecordCamOff,
  RecordCamOn,
  RecyclingTruck,
  Redo,
  Refresh,
  Rejected,
  Reload,
  Remove,
  RepeatEvent,
  ReplicaSet,
  Report,
  Research,
  Reset,
  ResetOff,
  Reuse,
  Reviewed,
  RightAlign,
  RightPanel,
  Ruler,
  Running,
  Save,
  SaveAlt,
  Scale,
  Schema,
  Search,
  Seat,
  SelectedPage,
  SelectedPageXS,
  Service,
  Settings,
  Severity1,
  Severity2,
  Severity3,
  Severity4,
  Severity5,
  Share,
  ShowerDay,
  ShowerNight,
  Snow,
  Sort,
  SortAlphabeticallyAscending,
  SortAlphabeticallyDescending,
  SortAlt,
  SortAltAscending,
  SortAltDescending,
  SortAscending,
  SortAscendingXS,
  SortDescending,
  SortDescendingXS,
  SortXS,
  Speedometer,
  Split,
  Stable,
  StableXS,
  Start,
  Stop,
  Storage,
  Strikethrough,
  Submit,
  SubmitForm,
  Success,
  Sun,
  SurroundingCameras,
  SwapNextPrevious,
  SwapTopBottom,
  SwipeRight,
  Switch,
  SystemActivity,
  Table,
  TablePartition,
  Tag,
  TagGroup,
  TagSelected,
  TaskAlt,
  Teapot,
  Temperature,
  Template,
  TemplateAlt,
  Tetris,
  TextColor,
  ThemeSwitcher,
  Ticket,
  Time,
  Tool,
  ToolAlt,
  Toolset,
  Top,
  TopXS,
  Topics,
  Touch,
  Tractor,
  Train,
  Transformation,
  Transformer,
  Trends,
  Truck,
  Underline,
  Undo,
  Ungroup,
  Unlock,
  UnselectedPageXS,
  Up,
  UpEmpty,
  UpSelected,
  Upload,
  Upsell,
  User,
  Validated,
  Versions,
  VideoSecurity,
  VirtualFolder,
  VolumeOff,
  VolumeOn,
  Wand,
  Warehouse,
  Water,
  WaterTruck,
  WhiteBoard,
  Wind,
  WindowsLogoFilled,
  WorldGlobe,
  WorldGlobeAlt,
  ZoomIn,
  ZoomOut,
  createHvIcon,
  icons,
  pictograms
};
